@import './themes';

$animation-duration: 0.5s;

:host {
  display: flex;
  flex: 1 1 auto;

  .overlay {
    display: none;
    position: fixed;
    height: 100%;
    width: 100%;
    opacity: 0;

    background-color: #000;
    z-index: 11;
  }

  .container {
    display: flex;
    flex-direction: column;
    left: 0;
    flex: 1 1 auto;
    header {
      button {
        color: #000;
      }
    }

    main {
      display: flex;
      flex: 1 1 auto;
      overflow-y: auto;
      margin-left: 0;
      padding-top: 60px;
      transition: margin-left $animation-duration;
    }
  }
}

:host.sidenavIsVisible {
  nav {
    transform: translateX(0);
  }
}

// *****************************
// SMALL DOWN
// *****************************
@media only screen and (max-width: 1023.9999px) {
  :host.sidenavIsVisible {
    .overlay {
      display: block;
      opacity: 0.5;
      transition: opacity 2s;
    }
  }
}

// *****************************
// MEDIUM UP
// *****************************
@media only screen and (min-width: 1024px) {
  :host.sidenavIsVisible {
    .container {
      main {
        margin-left: 250px;
      }
    }
  }
}
